Subject: Updated disman agenda for Salt Lake City

From: Randy Presuhn <[email-masked]>
Date: Tue, 20 Nov 2001 16:40:57 -0800 (PST)

Hi -

Here is an updated agenda for the disman WG session in
Salt Lake City, UT.

 - - - - - -

Distributed Management WG (disman)

Wednesday, December 12, 2001 at 15:30-17:30

===============================

CHAIR:  Randy Presuhn <[email-masked]>

AGENDA:

1. Administrative matters
   Working group charter is at
   http://www.ietf.org/html.charters/disman-charter.html
   1.1 introductions
   1.2 selection of minute-taker
       PLEASE read http://www.ietf.org/instructions/minutes.html
       volunteers PRIOR to the meeting greatly appreciated!
   1.3 circulation of sign-up sheet
   1.4 Review of Agenda
   1.5 Allocation of time

2. Status of Current work
   2.1 Script MIB: RFC 3165 published, Proposed Standard.
       (Note also Experimental RFC 3179, NOT a disman WG product)
        Juergen Schoenwaelder & David Levi (tentative)
   2.2 Schedule MIB: RFC 2591 updates, to be Proposed Standard,
       <draft-ietf-disman-schedule-mib-v2-04.txt> approved
       by IESG, in RFC editor queue.
        Juergen Schoenwaelder & David Levi (tentative)
   2.3 Remote Operations MIB: RFC 2925 (Proposed Standard)
       Soliciting implementation/deployment feedback on RFC 2925.
       Updates to appear in <draft-ietf-disman-remops-mib-v2-00.txt>
        Kenneth White (tentative)
   2.4 Expression MIB: RFC 2982 (Proposed Standard)
       Soliciting implementation/deployment feedback on RFC 2982.
       Updates in <draft-ietf-disman-express-mib-v2-00.txt>
        Ram Kavasseri (tentative)
   2.5 Event MIB: RFC 2981 (Proposed Standard)
       Soliciting implementation/deployment feedback on RFC 2981.
       Updates in <draft-ietf-disman-event-mib-v2-00.txt>
        Ram Kavasseri (tentative)
   2.6 Notification/Log MIB: RFC 3014 (Proposed Standard)
       Soliciting implementation/deployment feedback on RFC 3014.
       Updates to appear in <draft-ietf-disman-notif-log-mib-00.txt>
        Ram Kavasseri (tentative)
   2.7 Alarm work internet-drafts:
         <draft-ietf-disman-alarm-mib-03.txt>
         <draft-ietf-disman-conditionmib-01.txt>

3. Other relevant work
   3.1 RmonMib RFC 3144 - do we want to generalize "canned"
       statistical and monitoring functions?
   3.3 SnmpConf - persistance discussions, e.g., issues in RFC 2981
   3.4 Eos - bulk data retrieval and log / alarm synchronization?
   3.5 DMTF event management in their Interop WG.

4. In-Depth Technical Discussions
   Please see  http://www.ietf.org/instructions/slides.html
   and contact [email-masked] if you need time
   for focused discussion of specific drafts or issues.
   Please post your issues lists to the WG mailing list
   well in advance of the meeting.

    4.1 Active Alarms: <draft-ietf-disman-alarm-mib-03.txt>
        Sharon Chisholm & Dan Romascanu (tentative)

    4.2 Alarm Report Control and Condition MIB:
        <draft-ietf-disman-conditionmib-01.txt>
        An-Ni Huynh, Kam Lam,  and David Perkins (tentative)

    4.3  Alternatives suggested by implementation experience
         with the RFC 2981, 2982, and 3014 troika.

    4.4  Follow-up to mailing list discussions of "A
         Clustering Architecture for Replicating Managed
         Objects" <draft-aldri-disman-replication-mib-00.txt>

    4.5 Other issues?

5. Charter updates.
   Please see http://www.ietf.org/html.charters/disman-charter.html
   5.1 completed items
   5.2 changes to target dates
   5.3 Can we go dormant in January?

6. Wrap-up
   6.1 review of action items
   6.2 reminders to minute-takers and presenters
       PLEASE read http://www.ietf.org/instructions/minutes.html
       and http://www.ietf.org/instructions/slides.html, respectively.
   6.3 retrieval of sign-up sheet

 ------------------------------------------------------
 Randy Presuhn          BMC Software, Inc.  1-3141
 [email-masked]  2141 North First Street
 Tel: +1 408 546-1006   San José, California 95131  USA
 ------------------------------------------------------
 My opinions and BMC's are independent variables.
 ------------------------------------------------------

---

From: "Glenn Mansfield Keeni" <[email-masked]>
Date: Wed, 21 Nov 2001 21:53:27 +0900

Hi,
    We have been working on an aggregate MIB for some
time. I submitted the draft - but it did not make it before
the deadline. The draft is available on
http://www.cysol.co.jp/research/draft/aggrmib/index.html

    The essence is - the Managed Object Aggregation MIB
allows Managers (mid-level, delegates) to define Simple
Aggregate Managed Objects (SAMOs) in terms of MOs.
Accessing SAMOs instead of  the constituent MOs leads to
payload compression as the PDUs will contain one OID  -
that of the SAMO - instead of  all the OIDs of the constituent
MOs. The Aggregation can be extended to cover polling for
for high resolution at intervals of the order of millisecs. In this
case an aggregate object SAMO can be defined to have a
value that is the concatenation of values of  the MOs at
regular intervals starting at a well defined time.

    I would like to start a discussion on this list and obtain
comments. If there is interest and the disman chair finds it
appropriate then I would be glad to make a 5 minute
presentation at the disman meeting in Salt Lake City.

   Cheers

    Glenn